/* reflow.c */

#include "common.h"
#include "therm.h"
#include "display.h"
#include "menu.h"
#include "beep.h"
#include "timer.h"
#include "control.h"

/*
 * Reflow controller firmware
 * coolfactor.org
 */

int main(void)
{
    uint32_t last_seconds = 0;
    uint32_t this_seconds;
    /* init code here */

    therm_init();
    timer_init();
    menu_init();

    while (1) {
	therm_read();
//	menu_new_data();
	this_seconds = seconds;
	if (this_seconds != last_seconds) {
	    control_poll();
	    last_seconds = this_seconds;
	}
      menu_poll();
    }
}
